$AdfDhtmlPanelHeaderPeer$$.$_SUB_ID_MAP$ = {};
$AdfDhtmlPanelHeaderPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlPanelHeaderPeer$$$$$GetSubIdDomElement$$($domElement$$668_sdhTable_subElementId$$44$$) {
  $AdfAssert$$.$assertNonEmptyString$($domElement$$668_sdhTable_subElementId$$44$$);
  var $component$$2447_x$$77$$ = this.$getComponent$();
  if ("text" == $domElement$$668_sdhTable_subElementId$$44$$) {
    $domElement$$668_sdhTable_subElementId$$44$$ = this.$getDomElement$();
    $domElement$$668_sdhTable_subElementId$$44$$ = $AdfDomUtils$$.$getFirstDescendentElement$($domElement$$668_sdhTable_subElementId$$44$$, "TABLE");
    if (null == $domElement$$668_sdhTable_subElementId$$44$$) {
      return null;
    }
    for ($component$$2447_x$$77$$ = 1;6 >= $component$$2447_x$$77$$;$component$$2447_x$$77$$++) {
      var $header$$10$$ = $AdfDomUtils$$.$getFirstDescendentElement$($domElement$$668_sdhTable_subElementId$$44$$, "h" + $component$$2447_x$$77$$);
      if (null != $header$$10$$) {
        return $header$$10$$;
      }
    }
    return null;
  }
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($domElement$$668_sdhTable_subElementId$$44$$, $AdfDhtmlShowDetailHeaderPeer$$.$_SUB_ID_MAP$, $component$$2447_x$$77$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelHeaderPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlPanelHeaderPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlPanelHeaderPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlPanelHeaderPeer$$$$$GetBestMatchSubId$$($childElement$$34$$) {
  var $domElement$$669_sdhTable$$1$$ = this.$getDomElement$(), $domElement$$669_sdhTable$$1$$ = $AdfDomUtils$$.$getFirstDescendentElement$($domElement$$669_sdhTable$$1$$, "TABLE");
  if (null != $domElement$$669_sdhTable$$1$$) {
    for (var $x$$78$$ = 1;6 >= $x$$78$$;$x$$78$$++) {
      var $header$$11$$ = $AdfDomUtils$$.$getFirstDescendentElement$($domElement$$669_sdhTable$$1$$, "h" + $x$$78$$);
      if (null != $header$$11$$ && $header$$11$$ === $childElement$$34$$) {
        return "text";
      }
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$34$$, this, $AdfDhtmlPanelHeaderPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelHeaderPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlPanelHeaderPeer$$.prototype.$GetBestMatchSubId$});
